FileEngineer

Welcome,

With FileEngineer you can do several things with files.

  • You can quickly find a certain string in files.

  • You can also replace the found string with another string.

  • You can quickly rename a bunch of files and give them a uniform name with numbering.

Currently, FileEngineer is pretty basic without a lot of options, but if you quickly want to replace/find a certain string or rename a bunch of files, FileEngineer gets the job done.

Note:

The Find And Replace mode will always create a backup file before starting to process a file. This backup file has the same name as the original file but ".xxxxx.backup" is appended to the end of the file. (xxxxx are random numbers). So, in case of a failure during the replace process, you can always rename the backup file back to the original filename. When FileEngineer has successfully processed the file, the backup will be deleted.

Note:

FileEngineer finds strings in files without knowing the file format! This means that you can't use this program to replace a certain string in files with a very specific format (for example Microsoft Word Documents (.DOC)).

It does not work with a filter-based system like the search in Windows XP.

Back to Top

Copyright © 2002 ExaWare


FileEngineer - Main Window

Main Window

The main window is used as a starting point to use the program. The main window has the following components:

  • The menu

  • The Mode-bar:
    This bar contains links to the different modes (Find, Find and Replace, File Renamer) for the program. Depending on your selection, the right pane of the program will display a different thing.

  • The statusbar


FileEngineer - Find Mode

Find Mode

With the find mode, you can find a certain string in files.

  • Enter a folder in the "Folder"-entry or click on the "..." button to browse for a folder.

  • If you want to search the selected folder and all subfolders, enable the "Include subfolders"-checkbox.

  • You can enter a certain file filter to select only those files you're interested in. For example "*.txt" or "*test*" (without the quotes!).

  • Finally, enter your search string in the "Find Text"-entry.

  • If you want to search case-sensitive, enable the "Match case"-checkbox.


FileEngineer - Find And Replace Mode

Find And Replace Mode

With the find and replace mode, you can replace a certain string in files with another string.

  • Enter a folder in the "Folder"-entry or click on the "..." button to browse for a folder.

  • If you want to search the selected folder and all subfolders, enable the "Include subfolders"-checkbox.

  • You can enter a certain file filter to select only those files you're interested in. For example "*.txt" or "*test*" (without the quotes!).

  • Enter your search string in the "Find Text"-entry.

  • Finally, enter your "Replace Text". All strings in the files that match the string in the "Find Text"-entry will be replaced with the string in the "Replace Text"-entry.

  • If you want to search case-sensitive, enable the "Match case"-checkbox.


FileEngineer - File Renamer Mode

File Renamer Mode

With the File Renamer mode you can quickly rename a bunch of files.

  • Enter a folder in the "Folder"-entry or click on the "..." button to browse for a folder.

  • You can enter a certain file filter to select only those files you're interested in. For example "*.txt" or "*test*" (without the quotes!).

  • Select the files you wish to rename in the file listview.

  • Enter your format for the filenames.
    To insert a basic numbering somewhere in the file use "%i".
    Use something like "%.4i" to insert numbers like "0001". The 4 is the amount of digits you want.
    (For advanced users: the syntax is equal to the syntax of printf(). Only type "i" is supported.).

  • You can click the "Add Num..." button to get a list of numbering formats. Click on one to insert it in the "Filename format" on the current cursor position.

  • Enter your starting index. The file numbering will start with this number and will be automatically incremented with the given increment after each file.

  • Specify the increment for the file numbering.

  • If you want to preserve the extension of the files, enable the "Do not change extension" checkbox.

  • You can use the "Auto Fill Values" button to automatically fill in the "Filename format" and the "Starting index" based on the selected file. This will not always give the right results, so it is recommended that you check the values before you continue.


FileEngineer - Menus

Menus

The menus are used to control the program. There are tree different menus; File, Tools and Help. We'll explain them one at a time.

File

Exit

Exits the program.

Tools

Options

When you click on this menuitem, an options dialog will appear.

Help

Contents... | Displays the table of contents for the online documentation.
Index... | Displays the index to the online documentation.
Search... | Searches the online documentation.
About... | Displays the help-about dialog.


FileEngineer - Options

Options

Warnings

Place a checkmark before the warnings that FileEngineer should display.

Shell Integration

When shell integration is enabled, a "FileEngineer..." item is added to the right-click menu of a folder in Windows Explorer. When you click this menu item, FileEngineer will be started from that folder.

History

The dropdown list contains all the history lists of FileEngineer. Select one and click on the "Delete..." button to delete a history list.


FileEngineer - Contact Information

Contact Information

If you want to be up to date with the latest news and the latest versions of our software, check out our preliminary site.

Use the forum to let us know what you think about FileEngineer. You can also report bugs and request new features on the forum.

Or you can contact ExaWare at the following email (although we recommend the forum):

ExaWare@advalvas.be


FileEngineer - No Warranty

No Warranty

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.


FileEngineer - Credits

Credits

FileEngineer uses the following components:

  • AutoComplete: A MFC autocomplete class, to autocomplete files and folders made by Andreas Kapust.

  • BCMenu: A MFC Menu class made by Brent Corkum.

Special thanks to

  • Adni18 for the beautifull Orbicons.

  • Johan Grégoire for extensive testing and for giving me ideas and feedback.

  • The Alien for the name of the program.


footer

Back to Top

Copyright © 2002 ExaWare